MANUAL DE INSTALACIÓN EN RASPBERRY 3B+ DE NEXTCLOUD-15.0.2, PHP-7.2.13 Y MARIADB-15.1

Sección Unicamente para Tutoriales y Guías
Yakovo
Pi Alpha
Pi Alpha
Mensajes: 23
Registrado: 04 Jul 2019, 20:04

No tengo palabras. Todo OK
Probablemente hayan sacado una actualización la 16.0.3 al poco tiempo después por problemas de configuración incluida esta. No lo se, hablo por hablar, pero desde luego esperare un tiempo antes de actualizar Nextcloud visto lo visto.
Caylus no se como agradecertelo. El interés y la pasión que pones en ayudarnos no tiene precio.
Recibe un abrazo y un par de besotes. :mrgreen:
caylus
Pi Master
Pi Master
Mensajes: 265
Registrado: 22 Jun 2017, 09:27

Yakovo escribió:
19 Jul 2019, 23:20
No tengo palabras. Todo OK
Probablemente hayan sacado una actualización la 16.0.3 al poco tiempo después por problemas de configuración incluida esta. No lo se, hablo por hablar, pero desde luego esperare un tiempo antes de actualizar Nextcloud visto lo visto.
Caylus no se como agradecertelo. El interés y la pasión que pones en ayudarnos no tiene precio.
Recibe un abrazo y un par de besotes. :mrgreen:
De nada, es un placer ayudar. :oops:

Aunque, a veces, estoy muy ocupada procuro sacar unos "minutillos" para ayudar. Yo también he necesitado ayuda y estoy muy agradecida a TODOS aquellos que perdieron unos "minutillos" por ayudarme.

Besotes :guiño2
Life isn't about waiting for the storm to pass. It's about learning to dance in the rain.
Vivian Greene
Imagen
tioposi
Pi Newbie
Pi Newbie
Mensajes: 2
Registrado: 26 Jul 2019, 16:42

Buenas tardes caylus:
Soy nuevo en el foro y lo he descubierto gracias a que quiero instalarme de una vez por todas un servidor Nextcloud en mi Pi 3B+ (ya llevo mucho tiempo detrás pero entre falta de tiempo y dificultades técnicas llevo mucho con ello) y tu manual es una maravilla.
El problema, y por eso te escribo a ver si puedes ayudarme, es que cuando voy a instalar PHP copiando toda tu línea, me sale un mensaje en la terminal indicando:
"No se pudieron instalar algunos paquetes. Esto puede significar que usted pidió una situación imposible o, si está usando la distribución inestable, que algunos paquetes necesarios aún no se han creado o se han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:
Los siguientes paquetes tienen dependencias incumplidas:
php7.2-curl : Depende: libcurl3 (>= 7.44.0) pero no es instalable
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
"

He probado a instalar PHP 7.3 (mismo resultado) y a instalar la dependencia que indica (no deja por ser incompatible con libcurl4). No tengo grandes conocimientos de terminal ni de Linux como para solventar este problema y por más que busco por internet, no encuentro una solución.

Tengo Raspbian Buster (10) y no sé si por ahí puede estar el problema, pero deduzco que igual con otro repositorio más actualizado de PHP, o probando otra versión, quizá funcione, ¿no? Por otro lado, ¿no está ya en marcha Nextcloud 16?

Muchas gracias de antemano por tu atención, y la de todos, y ojalá que lo pueda solucionar pronto y así instalar de una vez el maldito Nextcloud, que a cada avance, me encuentro siempre otra piedra :triste

Un saludo!
caylus
Pi Master
Pi Master
Mensajes: 265
Registrado: 22 Jun 2017, 09:27

tioposi escribió:
26 Jul 2019, 16:51
Buenas tardes caylus:
Soy nuevo en el foro y lo he descubierto gracias a que quiero instalarme de una vez por todas un servidor Nextcloud en mi Pi 3B+ (ya llevo mucho tiempo detrás pero entre falta de tiempo y dificultades técnicas llevo mucho con ello) y tu manual es una maravilla.
El problema, y por eso te escribo a ver si puedes ayudarme, es que cuando voy a instalar PHP copiando toda tu línea, me sale un mensaje en la terminal indicando:
"No se pudieron instalar algunos paquetes. Esto puede significar que usted pidió una situación imposible o, si está usando la distribución inestable, que algunos paquetes necesarios aún no se han creado o se han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:
Los siguientes paquetes tienen dependencias incumplidas:
php7.2-curl : Depende: libcurl3 (>= 7.44.0) pero no es instalable
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
"

He probado a instalar PHP 7.3 (mismo resultado) y a instalar la dependencia que indica (no deja por ser incompatible con libcurl4). No tengo grandes conocimientos de terminal ni de Linux como para solventar este problema y por más que busco por internet, no encuentro una solución.

Tengo Raspbian Buster (10) y no sé si por ahí puede estar el problema, pero deduzco que igual con otro repositorio más actualizado de PHP, o probando otra versión, quizá funcione, ¿no? Por otro lado, ¿no está ya en marcha Nextcloud 16?

Muchas gracias de antemano por tu atención, y la de todos, y ojalá que lo pueda solucionar pronto y así instalar de una vez el maldito Nextcloud, que a cada avance, me encuentro siempre otra piedra :triste

Un saludo!
Si, ya está en marcha Nextcloud 16 y quiero hacer un manual con las nuevas actualizaciones, pero últimamente estoy muy ocupada y no tengo mucho tiempo disponible, pero si sigues este hilo podrás actualizar sin problemas a la versión 16, porque el usuario @Yakovo ya se ha actualizado y le he ayudado a resolver todos los problemas.

Efectivamente, el problema es Raspbian Buster: porque en sus repositorios no están, al menos por ahora, todos los paquetes necesarios -esta es otra de las razones por las que no me he decido todavía a preparar el nuevo tutorial-.He leído que todavía tardarán un tiempo, como mínimo hasta octubre. Este problema impide que muchos programas -no sólo NextCloud- no puedan ser instalados correctamente. Si lo quieres instalar sin problemas en Buster te recomiendo que esperes, pero puedes arriegarte a instalar NextCloud sobre Raspbian Stretch y luego actualizar a Buster. ¿Cómo se hace esto? Muy sencillo.

Una vez que tengas NextCloud instalado y actualizado sobre Raspbian Stretch. Edita la lista de repositorios desde la línea de comandos.

$ sudo nano /etc/apt/sources.list

Te aparecerá algo como esto.
deb http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
#deb-src http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi


Cambia stretch por buster.
deb http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
#deb-src http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi


Descomenta la tercera línea, si no la tenías, quitando el símbolo #.
deb http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
deb-src http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi


Grabamos “CTRL + O” y cerramos “CTRL + X

Haz lo mismo con
$ sudo nano /etc/apt/sources.list.d/raspi.list

Ahora podemos iniciar el cambio de Stretch a Buster

Actualiza la lista de paquetes.
$ sudo apt-get update

Actualiza las versiones de los paquetes para preparar la actualización del sistema operativo.
$ sudo apt-get upgrade

Ya puedes actualizar el sistema operativo.
$ sudo apt-get dist-upgrade

Para comprobar que está actualizado, sólo tienes que teclear.
$ hostnamectl

Y tiene que aparecer algo como esto.:
pi@raspberrypi:~ $ hostnamectl
Static hostname: raspberrypi
Icon name: computer
Machine ID: 00dfdc77364240666397b5abc50e854
Boot ID: d053335022c63332a88d2225c4414c44
Operating System: Raspbian GNU/Linux 10 (buster)
Kernel: Linux 4.19.58-v7+
Architecture: arm


Y ya tendrías el SO actualizado a Buster.

Espero que esto te sirva de ayuda y, si tienes alguna duda, házmelo saber.

Besotes :guiño2
Life isn't about waiting for the storm to pass. It's about learning to dance in the rain.
Vivian Greene
Imagen
tioposi
Pi Newbie
Pi Newbie
Mensajes: 2
Registrado: 26 Jul 2019, 16:42

Perfecto caylus.
Entonces me pasaré a Strech, y ya cuando en Buster esté todo normalizado, igual doy el paso. Total, sólo quiero que de una vez por todas me vaya Nextcloud, sin tener agujeros de seguridad en el SO por falta de actualizaciones (que entiendo que todavía faltará tiempo para que deje de tenerlas por ser siempre versiones LTS).
Probaré a seguir tu tutorial en Debian 9 y seguiré este hilo para las novedades que vayan viniendo.
Mil gracias por tus consejos, y por el tutorial para actualizar a Buster. Para no tener tiempo, es una maravilla leer tus posts ;-)

Buen verano!
apriliars3
Pi Newbie
Pi Newbie
Mensajes: 4
Registrado: 01 Sep 2016, 16:48

Y si solo quiero Nextcloud en docker, necesito tambien php y mariadb en la rpi??? Estoy con osmc con una rpi 2b, y creo que mariadb solo funciona con arm que sean de 64bits.
caylus
Pi Master
Pi Master
Mensajes: 265
Registrado: 22 Jun 2017, 09:27

apriliars3 escribió:
13 Ago 2019, 11:39
Y si solo quiero Nextcloud en docker, necesito tambien php y mariadb en la rpi??? Estoy con osmc con una rpi 2b, y creo que mariadb solo funciona con arm que sean de 64bits.
En respuesta a tu primera pregunta.
Si sólo quieres instalar Nexcloud en Docker -aunque te advierto que usar NextCloud sobre Docker ya es de por sí es bastante lento, usarlo sobre una RPI2 puede ser desesperante- sólo tienes que escribir y se instalaran todas las dependencias..

# sudo docker run -d -p 4443:4443 -p 443:443 -p 80:80 -v $DATOS:/data --name nextcloudpi ownyourbits/nextcloudpi $DOMINIO

Siendo $DATOS la carpeta donde quieras que esté situado NextCloud, normalmente en /home/pi/docker/nextcloud
Siendo $DOMINIO la IP de tu Raspberry o el nombre de dominio que tengas publicado en la red.
La página de acceso de administración será http://$DOMINIO:4443

En respuesta a tu segunda pregunta.
No existe ningún problema para instalar mariadb en versiones que no sean de 64bits.


Abrazos
:guiño2 :guiño2 :guiño2
Life isn't about waiting for the storm to pass. It's about learning to dance in the rain.
Vivian Greene
Imagen
pruna1971
Pi Alpha
Pi Alpha
Mensajes: 11
Registrado: 27 Abr 2018, 03:39
Ubicación: Cala ratjada - Mallorca-

Hola a todos.Yo lo he seguido este tutorial y me va bastante bien.Lo tengo en una 3B+

[youtube]https://www.youtube.com/watch?v=FKmyvXFwwtY[/youtube]
hm_elena
Pi Newbie
Pi Newbie
Mensajes: 1
Registrado: 27 Ene 2017, 19:17

Hola a todos,

Yo he conseguido instalar nextcloud sin problemas, pero me surge una duda de funcionamiento, a lo mejor alguno la sabéis... con el usuario administrador no se debería poder ver todos los ficheros de usuarios y grupos? me he creado dos usuarios y un grupo y subido ficheros para trastear y con el usuario admin, no veo esos ficheros que he subido con esos usuarios que no son admin :S

Muchas gracias!
Yakovo
Pi Alpha
Pi Alpha
Mensajes: 23
Registrado: 04 Jul 2019, 20:04

Hola hm_elena en principio la cuenta de Administrador según mi experiencia es para temas de configuracion y tu archivos en el caso de que la uses tambien como tu cuenta. Para poder ver los archivos de los usuarios tendrias que entrar con su correspondiente usuario y contraseña, que lógicamente los has creado tú. Así es como yo lo hago.
Saludos.
Yakovo
Pi Alpha
Pi Alpha
Mensajes: 23
Registrado: 04 Jul 2019, 20:04

Hola caylus.
Desde hace aproximadamente un mes he dejado de tener acceso a Nextcloud tanto en local como desde el móvil con la App.
En local haciendo ping a la Raspberry me responde sin problemas. ¿Se te ocurre alguna idea de por donde pueden ir los tiros?. :triste posting.php?mode=reply&f=6&t=12265#
Como siempre ¡¡¡Gracias de antemano!!!

Un abrazo.
Yakovo
Pi Alpha
Pi Alpha
Mensajes: 23
Registrado: 04 Jul 2019, 20:04

Hola caylus.

Al final volvi a configurar todo desde el principio y de paso he actualizado Nextcloud a la versión 17.0.1 y de momento todo bien a excepción el error:

"El límite de memoria de PHP está por debajo del valor recomendado de 512 MB".

He accedido a "sudo nano /etc/php/7.2/apache2/php.ini" par modificar las lineas a las que hacías referencia en el tutorial y lo único que me aparece es, un texto explicativo sobre PHP pero ninguna linea de comando. Cron lo tengo activado..
¿Sabrías decirme que puede estar pasando?

Un saludo
Avatar de Usuario
danpacu
Pi Master
Pi Master
Mensajes: 221
Registrado: 27 Nov 2019, 21:42

Buenas tardes.
Me puse a instalar el nextcloud en una SD recien formateada.
Todo bien hasta el paso de instalar php y apache. obtengo esta salida al comando:
sudo apt-get install php7.2 php7.2-bz2 php7.2-cli php7.2-curl php7.2-gd php7.2-fpm php7.2-intl php7.2-json php7.2-mbstring php-pear php7.2-imap php-memcache php7.2-pspell php7.2-recode php7.2-tidy php7.2-xmlrpc php7.2-xsl php7.2-mysql php7.2-opcache php7.2-xml php7.2-zip php7.2-dev php-imagick redis-server php-redis libapache2-mod-php7.2 mariadb-server apache2
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios aún no se han creado o se
han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
php-imagick : Depende: libmagickcore-6.q16-3 (>= 8:6.9.6.8) pero no es instalable
Depende: libmagickwand-6.q16-3 (>= 8:6.9.6.8) pero no es instalable
Recomienda: ghostscript pero no va a instalarse
Recomienda: ttf-dejavu-core pero no va a instalarse
php7.2-curl : Depende: libcurl3 (>= 7.44.0) pero no es instalable
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
Que pasa? Que puedo hacer? mil gracias por la ayuda...
seryi90
Pi Newbie
Pi Newbie
Mensajes: 7
Registrado: 25 Mar 2020, 18:13

Hola, buenas tardes.
Alguien me podría decir si el tutorial sirve para una raspberry pi 4 con buster instalado??
Me he leido el foro entero y hace unos 8 meses, buster no incluia nextcloud, pero ya se supone que a estas alturas debe estar incluido..

Muchas gracias de antemano
caylus
Pi Master
Pi Master
Mensajes: 265
Registrado: 22 Jun 2017, 09:27

seryi90 escribió:
25 Mar 2020, 19:01
Hola, buenas tardes.
Alguien me podría decir si el tutorial sirve para una raspberry pi 4 con buster instalado??
Me he leido el foro entero y hace unos 8 meses, buster no incluia nextcloud, pero ya se supone que a estas alturas debe estar incluido..

Muchas gracias de antemano
Sí, pero como el manual lo hice hace más de un año, y yo no tengo mucho tiempo disponible para corregirlo, han cambiado algunas cosas. Cuando disponga de un momento de respiro haré otro manual completo, pero estoy demasiado liada por el momento. Sustituye todo lo que ponga “php7.2” por “php7.3”, teóricamente los problemas de dependencias se solucionaron en diciembre pasado y debería funcionar. Aunque también puedes usar Docker, que es un sistema de contenedores, pero es algo lento.

Un besote :guiño2
Life isn't about waiting for the storm to pass. It's about learning to dance in the rain.
Vivian Greene
Imagen
seryi90
Pi Newbie
Pi Newbie
Mensajes: 7
Registrado: 25 Mar 2020, 18:13

Muchas gracias por contestar.
Se agradece, más aún en un tema que no se habla desde hace tanto tiempo..
Lo intentaré lo que me has dicho. Muchas gracias
Saludos :)
thecifu
Pi Newbie
Pi Newbie
Mensajes: 4
Registrado: 30 Mar 2020, 01:16

Muy buenas,

Ante todo agradecerte el espectacular trabajo que hay en este post. :mrgreen: :mrgreen: :mrgreen: :mrgreen:
Por otro lado, estaría genial, no se si ya esta hecho.... si es así perdona. La configuración al exterior con plataformas como NO-IP con la apertura de puertos recomendable e implantar un extra de seguridad, si se puede que lo desconozco tambien.

Ahora viene mis dudas o problemas durante la instalación. Hay algo que no me ha tenido que ir bien. Ya que en la edición de .htaccess no me salen en el modulo <IfModule mod_php7.c> estos parámetros para modificaros:
  • php_value upload_max_filesize = 511M
    php_value post_max_size = 511M
Por si te sirve, mi esta en esta ruta: htaccess/var/www/html/nextcloud/.htaccess

Por eso creo que me esta sacando esta alerta en el servidor ya que el resto de configuración esta complimentada a la perfección.
El límite de memoria de PHP está por debajo del valor recomendado de 512 MB.

Este es el Listado con los errores por si me puedes ayudar.

La última ejecución del trabajo en segundo plano tuvo lugar en Hace 1 hora. Algo parece estar mal. Comprueba la configuración del trabajo en segundo plano
El límite de memoria de PHP está por debajo del valor recomendado de 512 MB.
Se usa MySQL como base de datos pero no soporta caracteres de 4 bytes. Para poder manejar caracteres de 4 bytes (como los emojis) sin problemas en los nombres de archivos o comentarios, se recomienda activar el soporte de 4 bytes en MySQL. Para más detalles consulta la página de documentación sobre esto.
Tu servidor web no está configurado correctamente para resolver "/.well-known/caldav". Se puede encontrar más información en la documentación.
Tu servidor web no está configurado correctamente para resolver "/.well-known/carddav". Se puede encontrar más información en la documentación.

Muchas gracias,
caylus
Pi Master
Pi Master
Mensajes: 265
Registrado: 22 Jun 2017, 09:27

thecifu escribió:
30 Mar 2020, 01:28
Muy buenas,

Ante todo agradecerte el espectacular trabajo que hay en este post. :mrgreen: :mrgreen: :mrgreen: :mrgreen:
Por otro lado, estaría genial, no se si ya esta hecho.... si es así perdona. La configuración al exterior con plataformas como NO-IP con la apertura de puertos recomendable e implantar un extra de seguridad, si se puede que lo desconozco tambien.

Ahora viene mis dudas o problemas durante la instalación. Hay algo que no me ha tenido que ir bien. Ya que en la edición de .htaccess no me salen en el modulo <IfModule mod_php7.c> estos parámetros para modificaros:
  • php_value upload_max_filesize = 511M
    php_value post_max_size = 511M
Por si te sirve, mi esta en esta ruta: htaccess/var/www/html/nextcloud/.htaccess

Por eso creo que me esta sacando esta alerta en el servidor ya que el resto de configuración esta complimentada a la perfección.
El límite de memoria de PHP está por debajo del valor recomendado de 512 MB.

Este es el Listado con los errores por si me puedes ayudar.

La última ejecución del trabajo en segundo plano tuvo lugar en Hace 1 hora. Algo parece estar mal. Comprueba la configuración del trabajo en segundo plano
El límite de memoria de PHP está por debajo del valor recomendado de 512 MB.
Se usa MySQL como base de datos pero no soporta caracteres de 4 bytes. Para poder manejar caracteres de 4 bytes (como los emojis) sin problemas en los nombres de archivos o comentarios, se recomienda activar el soporte de 4 bytes en MySQL. Para más detalles consulta la página de documentación sobre esto.
Tu servidor web no está configurado correctamente para resolver "/.well-known/caldav". Se puede encontrar más información en la documentación.
Tu servidor web no está configurado correctamente para resolver "/.well-known/carddav". Se puede encontrar más información en la documentación.

Muchas gracias,
Prueba lo siguiente:
PARA PHP 7.2
$ sudo nano /etc/php/7.2/apache2/php.ini
PARA PHP 7.3
$ sudo nano /etc/php/7.3/apache2/php.ini

Busca la línea que pone “[memory_limit]” -sin comillas-
Y comprueba que está descomentada y tiene un valor de 512

[memory_limit] = 512M

Prueba a subirlo a 513 y después reinicia apache.

$ sudo systemctl restart apache2.service


Dime si te ha funcionado.

Besotes :guiño2
Life isn't about waiting for the storm to pass. It's about learning to dance in the rain.
Vivian Greene
Imagen
caylus
Pi Master
Pi Master
Mensajes: 265
Registrado: 22 Jun 2017, 09:27

thecifu escribió:
30 Mar 2020, 01:28
Muy buenas,

Ante todo agradecerte el espectacular trabajo que hay en este post. :mrgreen: :mrgreen: :mrgreen: :mrgreen:
Por otro lado, estaría genial, no se si ya esta hecho.... si es así perdona. La configuración al exterior con plataformas como NO-IP con la apertura de puertos recomendable e implantar un extra de seguridad, si se puede que lo desconozco tambien.

Ahora viene mis dudas o problemas durante la instalación. Hay algo que no me ha tenido que ir bien. Ya que en la edición de .htaccess no me salen en el modulo <IfModule mod_php7.c> estos parámetros para modificaros:
  • php_value upload_max_filesize = 511M
    php_value post_max_size = 511M
Por si te sirve, mi esta en esta ruta: htaccess/var/www/html/nextcloud/.htaccess

Por eso creo que me esta sacando esta alerta en el servidor ya que el resto de configuración esta complimentada a la perfección.
El límite de memoria de PHP está por debajo del valor recomendado de 512 MB.

Este es el Listado con los errores por si me puedes ayudar.

La última ejecución del trabajo en segundo plano tuvo lugar en Hace 1 hora. Algo parece estar mal. Comprueba la configuración del trabajo en segundo plano
El límite de memoria de PHP está por debajo del valor recomendado de 512 MB.
Se usa MySQL como base de datos pero no soporta caracteres de 4 bytes. Para poder manejar caracteres de 4 bytes (como los emojis) sin problemas en los nombres de archivos o comentarios, se recomienda activar el soporte de 4 bytes en MySQL. Para más detalles consulta la página de documentación sobre esto.
Tu servidor web no está configurado correctamente para resolver "/.well-known/caldav". Se puede encontrar más información en la documentación.
Tu servidor web no está configurado correctamente para resolver "/.well-known/carddav". Se puede encontrar más información en la documentación.

Muchas gracias,
Las plataformas tipo NO-IP tienen un pequeño problema: renovarlas frecuentemente si no son de pago. NextCloud es muy sensible a estos cambios y, dependiendo de tu configuración de seguridad, puede quedar bloqueado. Esto no es frecuente, pero lo he visto personalmente. De todas formas, la edición del archivo "config.php" para añadir las direcciones IP's y DOMINIOS a los que se permite el acceso es la forma estándar de hacerlo.

$ sudo nano /var/www/html/config/config.php

Buscamos
array (
0 => '192.168.1.20',
),


(192.168.1.20 es la dirección que asignó NextCloud durante la instalación) y añadimos -o modificamos- las direcciones IP's y DOMINIOS que necesitemos

array (
0 => '192.168.1.66',
1 => 'caylus.no-ip.com',
2 => 'IP-PUBLICA',
),


GRABAMOS "CTRL + O"
CERRAMOS "CTRL + X"

Reinicias y ya podrás acceder desde los dominios e IP's que has especificado.

Otra cosa es si, por casualidad, tienes un Dominio en propiedad, pero la IP que te ha proporcionado tu proveedor de servicios es dinámica. No es un problema difícil de solucionar y puedes usar ese Dominio apuntando a un dominio dinámico. Si tienes alguna duda estaré encantada de ayudarte, no desesperes si tardo en responder porque últimamente estoy muy muy ocupada.

Un besote.
Life isn't about waiting for the storm to pass. It's about learning to dance in the rain.
Vivian Greene
Imagen
thecifu
Pi Newbie
Pi Newbie
Mensajes: 4
Registrado: 30 Mar 2020, 01:16

caylus escribió:
31 Mar 2020, 15:35

Prueba lo siguiente:
PARA PHP 7.2
$ sudo nano /etc/php/7.2/apache2/php.ini
PARA PHP 7.3
$ sudo nano /etc/php/7.3/apache2/php.ini

Busca la línea que pone “[memory_limit]” -sin comillas-
Y comprueba que está descomentada y tiene un valor de 512

[memory_limit] = 512M

Prueba a subirlo a 513 y después reinicia apache.

$ sudo systemctl restart apache2.service


Dime si te ha funcionado.

Besotes :guiño2
Perfecto!!! me ha funcionado. :mrgreen: :mrgreen: Entonces la que tengo que modificar es esa a 2GB?

Con el resto de problemas como procedo?
  • La última ejecución del trabajo en segundo plano tuvo lugar en hace 2 días. Algo parece estar mal. Comprueba la configuración del trabajo en segundo plano
    Se usa MySQL como base de datos pero no soporta caracteres de 4 bytes. Para poder manejar caracteres de 4 bytes (como los emojis) sin problemas en los nombres de archivos o comentarios, se recomienda activar el soporte de 4 bytes en MySQL. Para más detalles consulta la página de documentación sobre esto.
    Tu servidor web no está configurado correctamente para resolver "/.well-known/caldav". Se puede encontrar más información en la documentación.
    Tu servidor web no está configurado correctamente para resolver "/.well-known/carddav". Se puede encontrar más información en la documentación.
    A la base de datos le faltan algunos índices. Debido al hecho de que añadir índices en tablas grandes puede llevar cierto tiempo, no se han añadido automáticamente. Se pueden añadir manualmente dichos índices perdidos mientras la instancia sigue funcionando si se ejecuta "occ db:add-missing-indices". Una vez se han añadido los índices, las consultas a esas tablas suelen ser mucho más rápidas.
    Índice perdido "calendarobject_calid_index" en la tabla "oc_calendarobjects_props".
    Índice perdido "schedulobj_principuri_index" en la tabla "oc_schedulingobjects".
Responder